标题: solidworks二次开发 [打印本页] 作者: wxp510288 时间: 2008-3-17 09:01 标题: solidworks二次开发 各位大侠:
我要用VB编写程序打开solidworks零部件,程序如下:
Option Explicit
Const filedir As String = "F:\solidworks\"
Dim WithEvents swapp As SldWorks.SldWorks
Dim WithEvents swmodel As SldWorks.ModelView
Private Sub cmdSldworks_Click()
Set swapp = CreateObject("SldWorks.Application")
If chkOpen.Value = True Then
Dim fileerror As Long
Dim filewarning As Long
swapp.OpenDoc6 filedir + TextBox1.Text, _
swDocPART, swOpenDocOptions_Silent, _
"", fileerror, filewarning
End If
End Sub
但是无法打开,不知道为什么。哪为给指点指点,在线急等!!!!作者: slayerran 时间: 2008-3-29 15:25
1.检查一下solidworks的路径
2.如果用VB,看一下VB对象有没有勾选sldworks type librery。
其实你先录制宏,打开之后保存下来就行了………………作者: Zguy 时间: 2008-6-7 19:37
Dim WithEvents swmodel As SldWorks.ModelView
modelview改modeldoc2
建议楼主先看看sw的API对象模型